# Generated by Django 4.1.3 on 2023-06-02 13:14

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("openbook_communities", "0029_externallink_name"),
        ("openbook_notifications", "0008_alter_notification_notification_type_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="notification",
            name="notification_type",
            field=models.CharField(
                choices=[
                    ("PR", "Post Reaction"),
                    ("PC", "Post Comment"),
                    ("PCR", "Post Comment Reply"),
                    ("PCRA", "Post Comment Reaction"),
                    ("CR", "Connection Request"),
                    ("CA", "Connection Accepted"),
                    ("CC", "Connection Confirmed"),
                    ("F", "Follow"),
                    ("FR", "Follow request"),
                    ("FRA", "Follow request approved"),
                    ("CMR", "Community membership request"),
                    ("CMRA", "Community membership approved"),
                    ("CMRE", "Community membership revoked"),
                    ("CAPG", "Community admin privileges granted"),
                    ("CAPR", "Community admin privileges revoked"),
                    ("CI", "Community Invite"),
                    ("PUM", "Post user mention"),
                    ("PCUM", "Post comment user mention"),
                    ("CNP", "New post in community"),
                    ("UNP", "New post by user"),
                    ("REL", "New Release information"),
                ],
                max_length=5,
            ),
        ),
        migrations.CreateModel(
            name="CommunityMembershipRevokedNotification",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                (
                    "community",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="openbook_communities.community",
                    ),
                ),
                (
                    "revoked_user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="+", to=settings.AUTH_USER_MODEL
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
